GNU bug report logs - #60921
[PATCH 24/25] gnu: Add go-mvdan-cc-gofumpt.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60901, #60902, #60903, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60911, #60912, #60913, #60914, #60915, #60916, #60917, #60918, #60919, #60920, #60922; dated Wed, 18 Jan 2023 01:46:17 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:58 2023
Received: from localhost ([127.0.0.1]:38651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxWY-0007YD-EI
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:58 -0500
Received: from lists.gnu.org ([209.51.188.17]:44560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxW8-0007Vq-E2
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:33 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW8-0002CI-2w
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:32 -0500
Received: from mail-il1-x132.google.com ([2607:f8b0:4864:20::132])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW6-0006vf-F0
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:31 -0500
Received: by mail-il1-x132.google.com with SMTP id w2so2691786ilg.1
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=FAtzJPyQNLNCbVLS5BRiV5l47Dhndx/pl9oWk1k5TU0=;
 b=Roj0lMO1z2nc3xU06UPGNbQ0Ica1rEm2CYdqVF+b44TjqgSHJk6qnCedU2V/Tx79IG
 FFQO2f5/mVgptuKPCg515hOD/jhbWZCLj8ELTAvjsp1hmqMAnCeOubwyajQr1vLl8YOs
 7vRHqLY84Nl6ZQui0gkwIWDNljNCkJEtyaJrTKMfUoZr4bXTVv2G+Zq1lV0cDe/DamwS
 wnJgAm50CbodfX8cdd5cpL0j3LLsLK7q0ZzWb5aVyGbNWleovqZHXc6hMreilZirgin9
 EVR7dAfY2vxBl+QIsEFvV2/CginGCJYWrHqwl73vVsWS/Rn1zqDwZTuNhM3ft+oNRNsV
 G7wQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=FAtzJPyQNLNCbVLS5BRiV5l47Dhndx/pl9oWk1k5TU0=;
 b=cmgp6E1jWKwTBRQDUy5x3ql/Ucj7Ua0PZKI6p2EzqgH0D0MKGd+ZC0NkWGYcOMy/sI
 52UUjTJe5irWan/qCwLEw7x3ZxH2mb9vXiUWfOL7lhVYqIpXYvS/XX7TIF7z5BpkMI5i
 MAc96lGu2dBRqwlP65rx4vehgzEktaQZ6H9dQ88y1UQ8R2u4rveUPuOPmeMT0bXDmHbS
 SS/w99wIsfc87sKECytbNXonVpNbJcmOyefdX8kpGt6Ca4xXv1suIZgC4jd09Il6Elcn
 B/B+6ChkdJXTHrx/UIrJ4nk89cx/buHyQ3KOD96wo8MJiJUQGHfkKxW4RtkrTraUxU2Y
 ko9Q==
X-Gm-Message-State: AFqh2kq+XiNIYrOjcboZuejly/DBuRW7fgF1qKQPl4wL4z7HqCjPxQ+s
 mtYBghtXf99y3fmej2omHnUpwb011hk=
X-Google-Smtp-Source: AMrXdXvIrdIStyWkvtX+CN2RMDzIPZeBDOck+CYQBZHNCLRy6Lkhl//PrIP+udTt7WTWWY0couuqqA==
X-Received: by 2002:a92:dd0f:0:b0:304:cae7:6e3c with SMTP id
 n15-20020a92dd0f000000b00304cae76e3cmr4293770ilm.3.1674006329821; 
 Tue, 17 Jan 2023 17:45:29 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:29 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 24/25] gnu: Add go-mvdan-cc-gofumpt.
Date: Tue, 17 Jan 2023 18:45:09 -0700
Message-Id: <20230118014510.19320-25-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::132;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x132.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (go-mvdan-cc-gofumpt): New variable.
---
 gnu/packages/golang.scm | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 40b6cf4a62..3dcd97a8c1 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -9936,6 +9936,20 @@ (define-public gofumpt
 @@code{gofmt} is happy with.")
     (license license:bsd-3)))
 
+(define-public go-mvdan-cc-gofumpt
+  (package
+    (inherit gofumpt)
+    (name "go-mvdan-cc-gofumpt")
+    (arguments
+     `(#:import-path "mvdan.cc/gofumpt"
+       #:tests? #f
+       #:install-source? #t
+       #:phases (modify-phases %standard-phases
+                  (delete 'build))))
+    (propagated-inputs (package-inputs gofumpt))
+    (native-inputs '())
+    (inputs '())))
+
 (define-public unparam
   (package
     (name "unparam")
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60921; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.